#ifndef COMMANDS
#define COMMANDS

#define SSP_CMD_RESET 0x01
#define SSP_CMD_HOST_PROTOCOL_VERSION 0x06
#define SSP_CMD_SYNC 0x11
#define SSP_CMD_SET_GENERATOR 0x4A
#define SSP_CMD_SET_MODULUS 0x4B
#define SSP_CMD_KEY_EXCHANGE 0x4C
#define SSP_CMD_ENABLE 0x0A
#define SSP_CMD_DISABLE 0x09
#define SSP_CMD_POLL 0x07
#define SSP_CMD_SETUP_REQUEST 0x05
#define SSP_CMD_SET_ROUTING 0x3B
#define SSP_CMD_GET_ROUTING 0x3C
#define SSP_CMD_EMPTY 0x3F
#define SSP_CMD_SMART_EMPTY 0x52
#define SSP_CMD_PAYOUT 0x33
#define SSP_CMD_HALT_PAYOUT 0x38
#define SSP_CMD_FLOAT 0x3D
#define SSP_CMD_GET_COIN_AMOUNT 0x35
#define SSP_CMD_SET_COIN_AMOUNT 0x34
#define SSP_CMD_SET_COIN_MECH_INHIBITS 0x40
#define SSP_CMD_COIN_MECH_GLOBAL_INHIBIT 0x49
#define SSP_CMD_LAST_REJECT_CODE 0x17
#define SSP_CMD_GET_CASHBOX_PAYOUT_OP_DATA 0x53
#define SSP_CMD_PAYOUT_BY_DENOMINATION 0x46
#define SSP_CMD_FLOAT_BY_DENOMINATION 0x44

#define SSP_POLL_RESET 0xF1
#define SSP_POLL_COIN_CREDIT 0xDF
#define SSP_POLL_DISABLED 0xE8
#define SSP_POLL_FRAUD_ATTEMPT 0xE6
#define SSP_POLL_DISPENSING 0xDA
#define SSP_POLL_DISPENSED 0xD2
#define SSP_POLL_COINS_LOW 0xD3
#define SSP_POLL_EMPTY 0xD4
#define SSP_POLL_CASHBOX_PAID 0xDE
#define SSP_POLL_JAMMED 0xD5
#define SSP_POLL_HALTED 0xD6
#define SSP_POLL_FLOATING 0xD7
#define SSP_POLL_FLOATED 0xD8
#define SSP_POLL_TIME_OUT 0xD9
#define SSP_POLL_INCOMPLETE_PAYOUT 0xDC
#define SSP_POLL_INCOMPLETE_FLOAT 0xDD
#define SSP_POLL_CASHBOX_PAID 0xDE
#define SSP_POLL_COIN_MECH_JAMMED 0xC4
#define SSP_POLL_COIN_MECH_RETURN_BTN_PRESSED 0xC5
#define SSP_POLL_EMPTYING 0xC2
#define SSP_POLL_EMPTIED 0xC3
#define SSP_POLL_SMART_EMPTYING 0xB3
#define SSP_POLL_SMART_EMPTIED 0xB4

#define SSP_RESPONSE_CMD_OK 0xF0
#define SSP_RESPONSE_CMD_UNKNOWN 0xF2
#define SSP_RESPONSE_CMD_WRONG_PARAMS 0xF3
#define SSP_RESPONSE_CMD_PARAM_OUT_OF_RANGE 0xF4
#define SSP_RESPONSE_CMD_CANNOT_PROCESS 0xF5
#define SSP_RESPONSE_CMD_SOFTWARE_ERROR 0xF6
#define SSP_RESPONSE_CMD_FAIL 0xF8
#define SSP_RESPONSE_CMD_KEY_NOT_SET 0xFA

#endif